Subject: Re: [MMUSIC] BUNDLE: no reason por payload type to be unique within bundled m= lines
From: Iñaki Baz Castillo <[email-masked]>
To: Christer Holmberg <[email-masked]>
Cc: Magnus Westerlund <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Wed, 9 Mar 2016 00:34:09 +0100
List-Id: Multiparty Multimedia Session Control Working Group <mmusic.ietf.org>

2016-03-08 20:05 GMT+01:00 Christer Holmberg <[email-masked]>:
> When we discussed payload type mappings and RTP sessions, it was said that, in a sendonly m- line, the payload type values are simply "place holders", the remote endpoint will tell you what values it want to receive.
>
> So, in your case, you can't say "I am going to send you with PT 100". The answerer is going to say what it wants to receive, so in your case it may e.g. chose 98 for alice-audio and 99 for bob-audio.

So I tell you that I will send N codecs with SSRC 1234 and you tell me
which payload I should use. This makes no sense IMHO. SDP was designed
for 1-to-1 symmetric (audio) streams. When it comes to multi-stream (I
send my audio and video and receive multiple audio and video streams
from others) SDP becomes a nightmare.

-- 
Iñaki Baz Castillo
<[email-masked]>